drill-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Abdel Hakim Deneche <adene...@maprtech.com>
Subject netty 3.6.6 jar part of Drill dependencies
Date Thu, 16 Jul 2015 15:55:44 GMT
I noticed when building Drill that we ship both netty 4.0.27 and 3.6.6 in
jars/3rdparty.

Thanks to Jason, we found that netty 3.6.6 is a dependency of hbase-client
0.98.7. Further looking into the jars, it seems that netty 3.6.6 and 4.0.27
are using different package names (org.jboss.netty vs io.netty)

I guess this is fine as Drill is only referencing io.netty, but wanted to
double check in the dev list to make sure this is not a potential source of
problems.

Thanks!

-- 

Abdelhakim Deneche

Software Engineer

  <http://www.mapr.com/>


Now Available - Free Hadoop On-Demand Training
<http://www.mapr.com/training?utm_source=Email&utm_medium=Signature&utm_campaign=Free%20available>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message